/*
 * cd_task.c
 *
 *  Created on: Oct 16, 2019
 *      Author: bshpilman
 */

#include <stdint.h>
#include <stdbool.h>
#include "driverlib/GPIO.h"
#include "driverlib/interrupt.h"
#include "inc/tm4c1294ncpdt.h"
#include "cd_task.h"

    uint8_t testInt = 0;
    uint32_t BypassPortsArray[HW_CD_CAUSE_NUM]={PD1_BYPASS_PORT,PD2_BYPASS_PORT,PD3_BYPASS_PORT,PD4_BYPASS_PORT,FB_BYPASS_PORT,TH1_BYPASS_PORT,TH2_BYPASS_PORT,TH3_BYPASS_PORT};
    uint8_t BypassPinsArray[HW_CD_CAUSE_NUM]={PD1_BYPASS_PIN,PD2_BYPASS_PIN,PD3_BYPASS_PIN,PD4_BYPASS_PIN,FB_BYPASS_PIN,TH1_BYPASS_PIN,TH2_BYPASS_PIN,TH3_BYPASS_PIN};
    photodiodeStruct PdParam[PD_CNT];
    ForceBypassStruct FbParam;
    thermistorStruct ThParam[TH_CNT];
    bool LatchStatusFlag = false;

void cd_task_init(void)
{
    GPIOIntTypeSet(FAST_CD_PORT, FAST_CD_PIN, GPIO_BOTH_EDGES);
    GPIOIntRegister(GPIO_PORTA_BASE, InterlockSysHandler);
    IntPrioritySet(INT_GPIOA, 0x10);

}


void InterlockSysHandler(void)
{
    testInt++;
}

void UpdateBypass(uint8_t channel, uint8_t bypass, bool permanent)
{
    switch (channel)
    {
    case 0:
    case 1:
    case 2:
    case 3:
        GPIOPinWrite(BypassPortsArray[channel],BypassPinsArray[channel],bypass);
        PdParam[channel].bypass=bypass;
        if (permanent)
        {
            //update eeprom struct
            //UpdateEepromFlag = 1;
        }
        break;
    case 4:
        GPIOPinWrite(BypassPortsArray[channel],BypassPinsArray[channel],bypass);
        FbParam.bypass=bypass;
        if (permanent)
        {
            //update eeprom struct
            //UpdateEepromFlag = 1;
        }
        break;
    case 5:
    case 6:
    case 7:
        GPIOPinWrite(BypassPortsArray[channel],BypassPinsArray[channel],bypass);
        ThParam[channel-PD_PARAM_CNT].bypass=bypass;
        if (permanent)
        {
            //update eeprom struct
            //UpdateEepromFlag = 1;
        }
        break;
    case 8:
    case 9:
    case 10:
    case 11:
    case 12:
    case 13:
    case 14:
    case 15:
    case 16:
    case 17:
        ThParam[channel-PD_PARAM_CNT].bypass=bypass;
        if (permanent)
        {
            //update eeprom struct
            //UpdateEepromFlag = 1;
        }
        break;
    }
}

void LatchFree(bool status)
{
    SET_MCU_UNLOCK(status);
    LatchStatusFlag = status;
    /*
    if(status)
    {
        //send free fault latch to all switch boards
        //THsCompare_task();
        if(fault_signal = 1 && th_status = 1)
        {
            MCU_CD(1);
        }
    }
    */
    SET_MCU_LATCH(status);
}

