/*
 * cd_task.h
 *
 *  Created on: Oct 16, 2019
 *      Author: bshpilman
 */

#ifndef CD_TASK_H_
#define CD_TASK_H_

#ifdef __cplusplus
extern "C"
{
#endif


#include "inc/hw_memmap.h"

#define FAST_CD_PORT            GPIO_PORTA_BASE
#define FAST_CD_PIN             GPIO_PIN_0
#define PD1_BYPASS_PORT         GPIO_PORTM_BASE
#define PD1_BYPASS_PIN          GPIO_PIN_4
#define PD2_BYPASS_PORT         GPIO_PORTM_BASE
#define PD2_BYPASS_PIN          GPIO_PIN_5
#define PD3_BYPASS_PORT         GPIO_PORTM_BASE
#define PD3_BYPASS_PIN          GPIO_PIN_6
#define PD4_BYPASS_PORT         GPIO_PORTM_BASE
#define PD4_BYPASS_PIN          GPIO_PIN_7
#define FB_BYPASS_PORT          GPIO_PORTQ_BASE
#define FB_BYPASS_PIN           GPIO_PIN_4
#define TH1_BYPASS_PORT         GPIO_PORTF_BASE
#define TH1_BYPASS_PIN          GPIO_PIN_2
#define TH2_BYPASS_PORT         GPIO_PORTK_BASE
#define TH2_BYPASS_PIN          GPIO_PIN_2
#define TH3_BYPASS_PORT         GPIO_PORTK_BASE
#define TH3_BYPASS_PIN          GPIO_PIN_3
#define HW_CD_CAUSE_NUM         8
#define INTERNAL_TH_CNT         13
#define EXTERNAL_TH_CNT         32
#define TH_CNT                  (INTERNAL_TH_CNT+EXTERNAL_TH_CNT)
#define PD_CNT                  4
#define PD_PARAM_CNT            (PD_CNT+1)
/*
#define MCU_UNLOCK_PORT         GPIO_PORTN_BASE
#define MCU_UNLOCK_PIN          GPIO_PIN_0
#define MCU_LATCH_PORT          GPIO_PORTN_BASE
#define MCU_LATCH_PIN           GPIO_PIN_1
 */

#define SET_MCU_UNLOCK(x)       GPIOPinWrite(GPIO_PORTN_BASE,GPIO_PIN_0,high*x)
#define SET_MCU_LATCH(x)        GPIOPinWrite(GPIO_PORTN_BASE,GPIO_PIN_1,high*x)
#define SET_MCU_CD(x)           GPIOPinWrite(GPIO_PORTP_BASE,GPIO_PIN_5,high*x)

enum {high = 0xff, low = 0x00};
enum {Free = 1, latch = 0};

typedef struct
{
  uint8_t bypass;       //high - bypass, low - active
  uint16_t limit;
  bool connected;       //true - connected, false - not connected
  float staticGain;      //Rf
  float responsivity;   //A/W
  float factor;
  float offset;
}photodiodeStruct;

typedef struct
{
  uint8_t bypass;       //high - bypass, low - active
  uint16_t limit;
  bool connected;       //true - connected, false - not connected
  uint8_t value;        //high - light on, low - light off
}ForceBypassStruct;


typedef struct
{
  uint8_t bypass;       //high - bypass, low - active
  uint16_t limit;
  bool connected;       //true - connected, false - not connected

}thermistorStruct;


void cd_task_init(void);
void InterlockSysHandler(void);
void UpdateBypass(uint8_t channel, uint8_t bypass, bool permanent);
void LatchFree(bool status);


#ifdef __cplusplus
}
#endif

#endif /* CD_TASK_H_ */
