//*****************************************************************************
// EPI_UDMA.h
//
// configure the device pins for different signals
//
// Copyright (C) 2014 Texas Instruments Incorporated - http://www.ti.com/
//
//
//  Redistribution and use in source and binary forms, with or without
//  modification, are permitted provided that the following conditions
//  are met:
//
//    Redistributions of source code must retain the above copyright
//    notice, this list of conditions and the following disclaimer.
//
//    Redistributions in binary form must reproduce the above copyright
//    notice, this list of conditions and the following disclaimer in the
//    documentation and/or other materials provided with the
//    distribution.
//
//    Neither the name of Texas Instruments Incorporated nor the names of
//    its contributors may be used to endorse or promote products derived
//    from this software without specific prior written permission.
//
//  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
//  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
//  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
//  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
//  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
//  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
//  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
//  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
//  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
//  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
//  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
//
//*****************************************************************************

// This file was automatically generated on 29.8.2017 at 14:34:06
// by TI PinMux version 4.0.1483
//
//*****************************************************************************

#ifndef __DRIVERS_EPI_UDMA_H__
#define __DRIVERS_EPI_UDMA_H__

//*****************************************************************************
//
// If building with a C++ compiler, make all of the definitions in this header
// have a C binding.
//
//*****************************************************************************
#ifdef __cplusplus
extern "C"
{
#endif


/*************************************************************************
Constant parameters
*************************************************************************/
#define max_array_size 1024
#define SDRAM_START_ADDRES = 0x00000000
//#define SDRAM_END_ADDRESS = 0x003fffff  //4Mword
#define SDRAM_MAPPING_ADDRESS       0x60000000
#define SDRAM_END_ADDRESS_16        (SDRAM_CAPACITY >> 4) - 1
#define SDRAM_CAPACITY              0x04000000
//#define PD_NUM                      6
//#define PD_REAL_NUM                ( PD_NUM - 1 )
#define SDRAM_START_ADDRES = 0x00000000
//#define SDRAM_END_ADDRESS = SDRAM_END_ADDRESS_16-1 //0x003fffff  //4Mword
/*************************************************************************
union/struct
*************************************************************************/
//Typedef
enum {DMA_Read_Busy = 10, DMA_Write_Busy = 20, DMA_ready = 30}; //ErrorLevelType
enum {Success = 0, Fail = 1, Busy = 2}; //ErrorLevelType

//Typedef
enum {up_direction = 0, down_direction = 1}; //DirectionType

/*
 typedef struct
 {
     uint16_t sample[PD_REAL_NUM];
     unsigned long sampleTime;
 } pdSampleType;
 */
 typedef union
 {
     unsigned char   bytes[SDRAM_CAPACITY >> 3];
     unsigned short  h_words[SDRAM_CAPACITY >> 4];
     unsigned int    words[SDRAM_CAPACITY >> 5];

 }SdramDomainType;
#define SDRAM_DOMAIN   ((SdramDomainType*)SDRAM_MAPPING_ADDRESS)
#define EPI_O_IM 0x400D0210//EPI Interrupt Mask (EPIIM)
//*****************************************************************************
//
// Prototypes.
//
//*****************************************************************************


;
uint8_t SDRAM_dma_status (void);
void UDMA_module_on(void);
void Write_read_SDRAM_loop (void);
uint8_t Sdram_init (void );
void SdramConfig_IS42S16400J(void);
uint8_t SdramCheck_IS42S16400J(void);
uint8_t sdram_write_word(uint16_t sdram_data, uint32_t sdram_address);
uint8_t sdram_read_word( uint16_t *sdram_data, uint32_t sdram_address);
uint8_t sdram_write_array(uint16_t *sdram_data_ar, uint32_t sdram_address, uint16_t array_size, bool direction);
uint8_t sdram_read_array(uint16_t *sdram_data_ar, uint32_t sdram_address, uint16_t array_size, bool direction);
uint8_t sdram_write_array_dma(uint16_t *sdram_data_ar, uint32_t sdram_address, uint16_t array_size, bool direction);
uint8_t sdram_read_array_dma(uint16_t *sdram_data_ar, uint32_t sdram_address, uint16_t array_size);
void EPIIntHandler(void);

//*****************************************************************************
//
// Mark the end of the C bindings section for C++ compilers.
//
//*****************************************************************************
#ifdef __cplusplus
}
#endif

#endif // __DRIVERS_EPI_UDMA_H__
